LibreOffice: XModuleUIConfigurationManager Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XModuleUIConfigurationManager Interface Reference

specifies specific functions of a module based user interface configuration manager interface. More...

`import "XModuleUIConfigurationManager.idl";`

Inheritance diagram for XModuleUIConfigurationManager:

## Public Member Functions
boolean | isDefaultSettings ([in] string ResourceURL) raises ( com::sun::star::lang::IllegalArgumentException )
| determine if the settings of a user interface element is part of the default layer of the user interface configuration manager.
::com::sun::star::container::XIndexAccess | getDefaultSettings ([in] string ResourceURL) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::IllegalArgumentException )
| retrieves the settings from the default layer of the user interface configuration manager if it has a default layer.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

specifies specific functions of a module based user interface configuration manager interface.

A module user interface configuration manager supports, unlike a document based ui configuration manager, two layers of configuration settings data:

1. Layer: A module default user interface configuration which describe all user interface elements settings that are used by OpenOffice. It is not possible to insert, remove or change elements settings in this layer through the interfaces.
2. Layer: A module user interface configuration which only contains customized user interface elements and user-defined ones. All changes on user interface element settings are done on this layer. This layer is the same as the document ui configuration manager uses.

Since
  OOo 2.0

## Member Function Documentation

## ◆ getDefaultSettings()

::com::sun::star::container::XIndexAccess getDefaultSettings | ( | [in] string | ResourceURL | ) |
raises | ( | com::sun::star::container::NoSuchElementException,
|  | com::sun::star::lang::IllegalArgumentException ) |  |  |

retrieves the settings from the default layer of the user interface configuration manager if it has a default layer.

Parameters

  ResourceURL | a resource URL which identifies the user interface element. A resource URL must meet the following syntax: "private:resource/$type/$name. It is only allowed to use ASCII characters for type and name.

Returns
  TRUE if default settings have been found in the default layer, otherwise FALSE.

## ◆ isDefaultSettings()

boolean isDefaultSettings | ( | [in] string | ResourceURL | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException ) |  |  |

determine if the settings of a user interface element is part of the default layer of the user interface configuration manager.

Parameters

  ResourceURL | a resource URL which identifies the user interface element. A resource URL must meet the following syntax: "private:resource/$type/$name. It is only allowed to use ASCII characters for type and name.

Returns
  TRUE if settings have been found in the default layer, otherwise FALSE.

The documentation for this interface was generated from the following file:

- com/sun/star/ui/XModuleUIConfigurationManager.idl